<?php

namespace Drupal\routing_on_exception;

use Drupal\Core\Routing\RouteMatchInterface;
use Symfony\Component\HttpFoundation\RedirectResponse;
use Symfony\Component\Routing\RouteCollection;

interface RoutingOnExceptionManagerInterface {

  /**
   * Validates each routes' on_exception option.
   */
  public function validateOnExceptionsOption(RouteCollection $routes);

  /**
   * Given the current route and an exception thrown, return the actions we should take.
   */
  public function getRouteExceptionActions(RouteMatchInterface $route_match, \Throwable $exception): array;
}
